> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.nvidia.com/nemo-platform/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.nvidia.com/nemo-platform/_mcp/server.

# List Adapters

GET https://host.com/apis/models/v2/workspaces/{workspace}/adapters

Reference: https://docs.nvidia.com/nemo-platform/nemo-platform/documentation/reference/api-reference/adapters/list-adapters-apis-models-v-2-workspaces-workspace-adapters-get

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Nemo Platform API
  version: 1.0.0
paths:
  /apis/models/v2/workspaces/{workspace}/adapters:
    get:
      operationId: list-adapters-apis-models-v-2-workspaces-workspace-adapters-get
      summary: List Adapters
      tags:
        - subpackage_adapters
      parameters:
        - name: workspace
          in: path
          required: true
          schema:
            type: string
        - name: page
          in: query
          description: Page number.
          required: false
          schema:
            type: integer
            default: 1
        - name: page_size
          in: query
          description: Page size.
          required: false
          schema:
            type: integer
            default: 100
        - name: sort
          in: query
          description: >-
            The field to sort by. To sort in decreasing order, use `-` in front
            of the field name.
          required: false
          schema:
            type: string
            default: created_at
        - name: filter
          in: query
          description: >-
            Filter adapters by name, model (parent model ref string, stored on
            the adapter), description, fileset, finetuning_type, enabled,
            created_at, and updated_at.
          required: false
          schema:
            $ref: '#/components/schemas/AdapterEntityFilter'
      responses:
        '200':
          description: List adapters in the workspace
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AdaptersPage'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
servers:
  - url: https://host.com
    description: Default
components:
  schemas:
    StringFilter:
      type: object
      properties:
        $eq:
          type: string
          description: Filter for results equal to this value.
        $like:
          type: string
          description: Filter for results matching this pattern.
        $in:
          type: array
          items:
            type: string
          description: Filter for results in this list of values.
        $nin:
          type: array
          items:
            type: string
          description: Filter for results not in this list of values.
      title: StringFilter
    AdapterEntityFilterName:
      oneOf:
        - $ref: '#/components/schemas/StringFilter'
        - type: string
      description: Filter by adapter name.
      title: AdapterEntityFilterName
    AdapterEntityFilterModel:
      oneOf:
        - $ref: '#/components/schemas/StringFilter'
        - type: string
      description: >-
        Filter by parent (base) model entity reference in the form
        {workspace}/{model_name}.
      title: AdapterEntityFilterModel
    AdapterEntityFilterDescription:
      oneOf:
        - $ref: '#/components/schemas/StringFilter'
        - type: string
      description: Filter by description.
      title: AdapterEntityFilterDescription
    FinetuningType:
      type: string
      enum:
        - lora_merged
        - all_weights
        - last_layer
        - top_layers
        - gradual_unfreezing
        - bias_only
        - attention_only
        - lora
        - qlora
        - adalora
        - dora
        - lora_plus
        - prompt_tuning
        - prefix_tuning
        - p_tuning
        - p_tuning_v2
        - soft_prompt
        - ppo
        - dpo
        - cdpo
        - ipo
        - orpo
        - kto
        - rrhf
        - grpo
      description: Finetuning types.
      title: FinetuningType
    DatetimeFilter:
      type: object
      properties:
        $gte:
          type: string
          format: date-time
          description: Filter for results greater than or equal to this datetime.
        $lte:
          type: string
          format: date-time
          description: Filter for results less than or equal to this datetime.
      title: DatetimeFilter
    AdapterEntityFilter:
      type: object
      properties:
        name:
          $ref: '#/components/schemas/AdapterEntityFilterName'
          description: Filter by adapter name.
        model:
          $ref: '#/components/schemas/AdapterEntityFilterModel'
          description: >-
            Filter by parent (base) model entity reference in the form
            {workspace}/{model_name}.
        description:
          $ref: '#/components/schemas/AdapterEntityFilterDescription'
          description: Filter by description.
        fileset:
          type: string
          description: Filter by fileset reference in the form {workspace}/{fileset_name}.
        finetuning_type:
          $ref: '#/components/schemas/FinetuningType'
          description: Filter by fine-tuning / PEFT type.
        enabled:
          type: boolean
          description: >-
            Filter by whether the adapter is enabled for inference after
            training.
        created_at:
          $ref: '#/components/schemas/DatetimeFilter'
          description: Filter entities based on creation date.
        updated_at:
          $ref: '#/components/schemas/DatetimeFilter'
          description: Filter entities based on update date.
      description: Filter for Adapter list queries.
      title: AdapterEntityFilter
    Lora:
      type: object
      properties:
        alpha:
          type: integer
          description: Alpha scaling used for this adapter
        rank:
          type: integer
          description: LoRA Rank
      required:
        - rank
      title: Lora
    Adapter:
      type: object
      properties:
        name:
          type: string
          description: >-
            Name of the adapter. Name must be unique in the workspace for all
            Adapters and match the following regex: Allowed characters: letters
            (a-z, A-Z), digits (0-9), underscores, hyphens, and dots.
        workspace:
          type: string
          description: >-
            Workspace of the adapter. Allowed characters: letters (a-z, A-Z),
            digits (0-9), underscores, hyphens, and dots.
        description:
          type: string
          description: Optional description of the adapter
        fileset:
          type: string
          description: >-
            Fileset where the adapter files are stored expected format
            {workspace}/{fileset_name}
        finetuning_type:
          $ref: '#/components/schemas/FinetuningType'
          description: Type of finetuning (LORA, P_TUNING, etc.)
        enabled:
          type: boolean
          default: true
          description: Whether to make this adapter available for inference post training
        lora_config:
          $ref: '#/components/schemas/Lora'
          description: Lora configuration specifics
        model:
          type: string
          description: >-
            Parent model entity reference. A single name (2-63 characters) or
            'workspace/model_name' where each segment is a valid name
            (lowercase, digits, hyphens, and temporarily @ . + _; no
            leading/trailing or consecutive hyphens). If one slash, both sides
            must be non-empty.
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
      required:
        - name
        - workspace
        - fileset
        - finetuning_type
      title: Adapter
    PaginationData:
      type: object
      properties:
        page:
          type: integer
          description: The current page number.
        page_size:
          type: integer
          description: The page size used for the query.
        current_page_size:
          type: integer
          description: The size for the current page.
        total_pages:
          type: integer
          description: The total number of pages.
        total_results:
          type: integer
          description: The total number of results.
      required:
        - page
        - page_size
        - current_page_size
        - total_pages
        - total_results
      title: PaginationData
    AdaptersPage:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/Adapter'
        pagination:
          $ref: '#/components/schemas/PaginationData'
          description: Pagination information.
        sort:
          type: string
          description: The field on which the results are sorted.
        filter:
          type: object
          additionalProperties:
            description: Any type
          description: Filtering information.
      required:
        - data
      title: AdaptersPage
    ValidationErrorLocItems:
      oneOf:
        - type: string
        - type: integer
      title: ValidationErrorLocItems
    ValidationError:
      type: object
      properties:
        loc:
          type: array
          items:
            $ref: '#/components/schemas/ValidationErrorLocItems'
        msg:
          type: string
        type:
          type: string
        input:
          description: Any type
        ctx:
          type: object
          additionalProperties:
            description: Any type
      required:
        - loc
        - msg
        - type
      title: ValidationError
    HTTPValidationError:
      type: object
      properties:
        detail:
          type: array
          items:
            $ref: '#/components/schemas/ValidationError'
      title: HTTPValidationError

```

## Examples



**Request**

```json
{}
```

**Response**

```json
{
  "data": [
    {
      "name": "lora-adapter-v1",
      "workspace": "research_team_alpha",
      "fileset": "research_team_alpha/sentiment_adapter_fileset",
      "finetuning_type": "lora_merged",
      "description": "Adapter fine-tuned for sentiment analysis on customer reviews.",
      "enabled": true,
      "lora_config": {
        "rank": 8,
        "alpha": 16
      },
      "model": "base_models/gpt-4-small",
      "created_at": "2024-01-15T09:30:00Z",
      "updated_at": "2024-01-15T09:30:00Z"
    }
  ],
  "pagination": {
    "page": 1,
    "page_size": 1,
    "current_page_size": 1,
    "total_pages": 1,
    "total_results": 1
  },
  "sort": "created_at",
  "filter": {}
}
```

**SDK Code**

```python
import requests

url = "https://host.com/apis/models/v2/workspaces/workspace/adapters"

payload = {}
headers = {"Content-Type": "application/json"}

response = requests.get(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://host.com/apis/models/v2/workspaces/workspace/adapters';
const options = {method: 'GET', headers: {'Content-Type': 'application/json'}, body: '{}'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://host.com/apis/models/v2/workspaces/workspace/adapters"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("GET", url, payload)

	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://host.com/apis/models/v2/workspaces/workspace/adapters")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://host.com/apis/models/v2/workspaces/workspace/adapters")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://host.com/apis/models/v2/workspaces/workspace/adapters', [
  'body' => '{}',
  'headers' => [
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://host.com/apis/models/v2/workspaces/workspace/adapters");
var request = new RestRequest(Method.GET);
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Content-Type": "application/json"]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://host.com/apis/models/v2/workspaces/workspace/adapters")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```